<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>de.mohr</groupId>
	<artifactId>mavenpackageregistrytest</artifactId>
	<version>0.0.1-SNAPSHOT</version>

	<properties>
		<compiler-plugin.version>3.8.1</compiler-plugin.version>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

		<surefire-plugin.version>2.22.2</surefire-plugin.version>
		<junit-jupiter.version>5.7.0</junit-jupiter.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter</artifactId>
			<version>${junit-jupiter.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter-api</artifactId>
			<version>${junit-jupiter.version}</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>${compiler-plugin.version}</version>
				<configuration>
					<release>11</release>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>${surefire-plugin.version}</version>
			</plugin>
		</plugins>
	</build>

	<repositories>
		<repository>
		  	<id>gitlab-maven-test</id>
          	<url>https://gitlab.com/api/v4/projects/36467801/packages/maven</url>
		</repository>
	</repositories>
	<distributionManagement>
		<repository>
			<id>gitlab-maven-test</id>
			<url>https://gitlab.com/api/v4/projects/36467801/packages/maven</url>
		</repository>
		<snapshotRepository>
			<id>gitlab-maven-test</id>
			<url>https://gitlab.com/api/v4/projects/36467801/packages/maven</url>
		</snapshotRepository>
	</distributionManagement>

</project>